<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>
  <properties>
    <title>Distribution Properties</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>

  <body>
    <section name="Distribution Settings">
      <table>
        <tr><th>Property</th><th>Optional?</th><th>Description</th></tr>
        <tr>
          <td>maven.dist.assembly.dir</td>
          <td>yes - default is ${maven.build.dir}/${maven.final.name}</td>
          <td>The base directory for the default assembly properties</td>
        </tr> 
        <tr>
          <td>maven.dist.bin.archive.dir</td>
          <td>yes - default is ${maven.dist.assembly.dir}/bin</td>
          <td>The directory where the binary archive is constructed from</td>
        </tr> 
        <tr>
          <td>maven.dist.src.archive.dir</td>
          <td>yes - default is ${maven.dist.assembly.dir}/src/${maven.final.name}</td>
          <td>The directory where the source archive is constructed from</td>
        </tr> 
        <tr>
          <td>maven.dist.bin.assembly.dir</td>
          <td>yes - default is ${maven.dist.assembly.dir}/bin/${maven.final.name}</td>
          <td>The directory where the binaries are copied to so that it can be archived</td>
        </tr> 
        <tr>
          <td>maven.dist.src.assembly.dir</td>
          <td>yes - default is ${maven.dist.assembly.dir}/src/${maven.final.name}</td>
          <td>The directory where the sources are copied to so that it can be archived</td>
        </tr> 
        <tr>
          <td>maven.dist.dir</td>
          <td>yes - default is ${maven.build.dir}/distributions</td>
          <td>The target directory that the final archive is placed in</td>
        </tr> 
        <tr>
          <td>maven.dist.tar.executable</td>
          <td>yes - default is <code>tar</code>, found via the path.</td>
          <td>The path to the tar executable on the remote server - must be GNU tar</td>
        </tr> 
        <tr>
          <td>maven.dist.gunzip.executable</td>
          <td>yes - default is <code>gunzip</code>, found via the path.</td>
          <td>The path to the gunzip executable on the remote server</td>
        </tr> 
      </table>
    </section>
  </body>
</document>

